# Uses of Enum Class
com.google.protobuf.Descriptors.FieldDescriptor.Type

Packages that use Descriptors.FieldDescriptor.Type
Package
Description
com.google.protobuf

## Uses of Descriptors.FieldDescriptor.Type in com.google.protobuf

Methods in com.google.protobuf that return Descriptors.FieldDescriptor.Type
Modifier and Type
Method
Description
`Descriptors.FieldDescriptor.Type`
Descriptors.FieldDescriptor.`getType()`
Get the field's declared type.
`static Descriptors.FieldDescriptor.Type`
Descriptors.FieldDescriptor.Type.`valueOf(DescriptorProtos.FieldDescriptorProto.Type type)`
Returns the enum constant of this class with the specified name.
`static Descriptors.FieldDescriptor.Type`
Descriptors.FieldDescriptor.Type.`valueOf(String name)`
Returns the enum constant of this class with the specified name.
`static Descriptors.FieldDescriptor.Type[]`
Descriptors.FieldDescriptor.Type.`values()`
Returns an array containing the constants of this enum class, in the order they are declared.